Support » Plugin: WP Datepicker » Stoped working on version 1.3.4

  • Resolved arditmorina

    (@arditmorina)


    It was just working fine the version 1.3.3 but after updated to latest version 1.3.4 it wont show the datepicker , I click in datepicker field but nothing hapen, The same problem is in 2 different websites, I furtunately downloaded version 1.3.3 and now I rolled back to 1.3.3 and it is working fine , I will not update to 1.3.4 until authir fix that issue

    • This topic was modified 2 years ago by  arditmorina.
Viewing 15 replies - 1 through 15 (of 22 total)
  • Plugin Author Fahad Mahmood

    (@fahadmahmood)

    I have just fixed the issue, kindly check 1.3.4 again and let me know if it works?

    arditmorina

    (@arditmorina)

    No still is the same problem, how do you fixed that without updating plugin to 1.3.5 ?

    Plugin Author Fahad Mahmood

    (@fahadmahmood)

    We can commit changes to any existing tag as well. Anyways, can you please send me the website url? Did you get email reply from me?

    arditmorina

    (@arditmorina)

    I can not share login but i tried even in localhost the new version 1.3.4 is not working. I have oceanWP theme and using plgugins: Oceanwp extra, Elementor Free, Elementor Pro, Wp Datepicker.

    Plugin Author Fahad Mahmood

    (@fahadmahmood)

    At least share the url because I have tested it on mt locahost and it’s working fine.

    Plugin Author Fahad Mahmood

    (@fahadmahmood)

    Especially for you i have tested it again today and it’s really working. Let me know that how can i help you? v.1.3.4 is working, maybe there is some other conflict this time in your copy?

    arditmorina

    (@arditmorina)

    Maybe is in conflict with the Elementor, because I tested in wp default theme end still did not work, but I am curious why without changing any settings it working the version 1.3.3.
    The live with the plugin 1.3.3 that works, and are the same plugins +some fiew extra plugins, and there it did not worked versio 1.3.4 : http://www.halimajreisen.com
    And here is the site with version 1.3.4 that wont work and there are only plugins: oceanwp extra, Elementor (free), Elementor Pro. http://www.plugin.al

    Plugin Author Fahad Mahmood

    (@fahadmahmood)

    I have just checked your website, it’s using datepicker scrip twice. Once from this plugin and once with some other source. Kindly review or reach me through Skype so i can help you better. And i found the reason that why it’s not working with 1.3.4, because latest version works with those elements too which are being rendered later in DOM. So your all previous scripts are being overridden. Plugin is working but i have to understand your requirements that why are you using the scripts with other sources?

    zkriahagmohamad

    (@zkriahagmohamad)

    I had chosen this problem by adding an css code to change z index of this datapiqar

    Plugin Author Fahad Mahmood

    (@fahadmahmood)

    I have checked it, you are using checkout field correctly but for checkin field you are not using ID. Please check the screenshot.

    https://image.prntscr.com/image/k0dvnuKxQM2pyMwJSWgFVw.png

    lupet92

    (@lupet92)

    Yes, I’ve see but the problem is if the code is the same…

    <input type="datetime" id="check_in" name="check_in_date" readonly="readonly" />
    <input type="datetime" id="check_out" name="check_out_date" readonly="readonly" />

    Ideas? 🙂 Incompatibility?

    With old versions no problems. Also check out field have problem, because it take some time for show datetime window.

    • This reply was modified 2 years ago by  lupet92.
    • This reply was modified 2 years ago by  lupet92.
    • This reply was modified 2 years ago by  lupet92.
    Plugin Author Fahad Mahmood

    (@fahadmahmood)

    Your page
    http://hotelpanoramico.it/site/contatti/

    is still not having id there and you are expecting check_in calendar without it. I am using JavaScript interval to make sure if any input fields are rendered later on the page. There is not compatibility issue, it just takes a while to let the page loaded. If you need so i can check this issue on call as well. Do you have a few minutes for call?

    arditmorina

    (@arditmorina)

    @zkriahagmohamad can you share exactly which ID used in css to ad z-index ?

    arditmorina

    (@arditmorina)

    and @fahadmahmood can you re check again halimajreisen.com I updated to 1.3.4 and I have 2 fields using your plugin, second field is hidden but if you click radiobutton “Kthyese” the second field will be displayed, and the datepicker it is workin correctly on that field but not on the first field . I checked by myself and I can see that first field (non working datepicker field) does not show the ID but i dont know why because in the code is the id written correctly. I downgraded again to 1.3.3 and it just works perfectly.

    • This reply was modified 2 years ago by  arditmorina.
    lupet92

    (@lupet92)

    Same of arditmorina, in my code ID is present. When page is loaded only with 1.3.4 version, ID of first datepicker disappears.

Viewing 15 replies - 1 through 15 (of 22 total)
  • The topic ‘Stoped working on version 1.3.4’ is closed to new replies.